GENERATE_INTR_INTERFACE(1)

NAME
generate-intr-interface - generate Theme-D-Intr interface

SYNOPSIS
generate-intr-interface [ OPTION ] ...

DESCRIPTION
Command generate-intr-interface generates a Theme-D-Intr interface file for an application.

OPTIONS

-i INPUTFILE
    Specify the input file. The default is intr-imports.scm. The input file specifies which classes and procedures are imported for the application.

-m MODULENAME
    Specify the Theme-D module name of the G-Golf import module. The default is _intr-imports.

--no-check
    Disable some internal checks.

--no-methods
    Do not generate Theme-D methods for the imported procedures.

-o OUTPUTFILE
    Specify the output file name. The default is _intr-imports.thi.

FILES

_intr-imports.scm
    The default specification file for the G-Golf imports.

_intr-imports.thi
    The default interface file for the G-Golf imports.

SEE ALSO
generate-intr-body(1), generate-intr-target-module(1)